org.aspectj.internal.lang.reflect

## Class InterTypeMethodDeclarationImpl

- java.lang.Object
- - org.aspectj.internal.lang.reflect.InterTypeDeclarationImpl
  - - org.aspectj.internal.lang.reflect.InterTypeMethodDeclarationImpl

All Implemented Interfaces:
  InterTypeDeclaration, InterTypeMethodDeclaration

    public class InterTypeMethodDeclarationImpl
    extends InterTypeDeclarationImpl
    implements InterTypeMethodDeclaration

Author:
  colyer

### Field Summary

### Fields inherited from class org.aspectj.internal.lang.reflect.InterTypeDeclarationImpl

`targetTypeName`

### Constructor Summary

Constructors
Constructor and Description
`InterTypeMethodDeclarationImpl(AjType<?> decType, AjType<?> targetType, Method base, int modifiers)`
`InterTypeMethodDeclarationImpl(AjType<?> decType, String target, int mods, String name, Method itdInterMethod)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AjType<?>[]` `getExceptionTypes()`
`Type[]` `getGenericParameterTypes()`
`Type` `getGenericReturnType()`
`String` `getName()`
`AjType<?>[]` `getParameterTypes()`
`AjType<?>` `getReturnType()`
`TypeVariable<Method>[]` `getTypeParameters()`
`String` `toString()`

### Methods inherited from class org.aspectj.internal.lang.reflect.InterTypeDeclarationImpl

`getDeclaringType, getModifiers, getTargetType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.aspectj.lang.reflect.InterTypeDeclaration

`getDeclaringType, getModifiers, getTargetType`

### Constructor Detail

#### InterTypeMethodDeclarationImpl

    public InterTypeMethodDeclarationImpl(AjType<?> decType,
                                          String target,
                                          int mods,
                                          String name,
                                          Method itdInterMethod)

#### InterTypeMethodDeclarationImpl

    public InterTypeMethodDeclarationImpl(AjType<?> decType,
                                          AjType<?> targetType,
                                          Method base,
                                          int modifiers)

### Method Detail

#### getName

    public String getName()

Specified by:
  `getName` in interface `InterTypeMethodDeclaration`
Returns:
  the name of this method

#### getReturnType

    public AjType<?> getReturnType()

Specified by:
  `getReturnType` in interface `InterTypeMethodDeclaration`
Returns:
  the method return type

#### getGenericReturnType

    public Type getGenericReturnType()

Specified by:
  `getGenericReturnType` in interface `InterTypeMethodDeclaration`
Returns:
  the generic return type

#### getParameterTypes

    public AjType<?>[] getParameterTypes()

Specified by:
  `getParameterTypes` in interface `InterTypeMethodDeclaration`
Returns:
  the method parameters

#### getGenericParameterTypes

    public Type[] getGenericParameterTypes()

Specified by:
  `getGenericParameterTypes` in interface `InterTypeMethodDeclaration`
Returns:
  the generic method parameters

#### getTypeParameters

    public TypeVariable<Method>[] getTypeParameters()

Specified by:
  `getTypeParameters` in interface `InterTypeMethodDeclaration`
Returns:
  the type variables declared by this method

#### getExceptionTypes

    public AjType<?>[] getExceptionTypes()

Specified by:
  `getExceptionTypes` in interface `InterTypeMethodDeclaration`
Returns:
  the declared exceptions thrown by this method

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`